import { jsx } from "react/jsx-runtime";
import { TokenSAUCE as TokenSAUCE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSAUCE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SAUCE", "data-name": "TokenSAUCE", ...props, children: /* @__PURE__ */ jsx(TokenSAUCE$1, { variant }) });
  }
);
TokenSAUCE.displayName = "TokenSAUCE";
Object.assign(TokenSAUCE, { isGdsIcon: true });
export {
  TokenSAUCE
};
